<?php


namespace app\api\controller;


use Endroid\QrCode\Builder\Builder;
use Endroid\QrCode\Writer\PngWriter;
use think\facade\Log;

class Qrcode extends Base
{
    public function online()
    {
        $param=input("param.");
        $rules=[
          "text"=>"require",
          "size"=>"number|between:100,1000",
        ];
        $this->autoValid($rules,$param);
        $text = input("text");
        $size=input("size",300);
        $label=input("label","");
        if ($text) {
            $text = urldecode2($text);
        }
        if($label){
            $label = urldecode2($label);
        }
        //二维码生成的包：https://packagist.org/packages/endroid/qr-code
        $result = Builder::create()->writer(new PngWriter())->data($text)->labelText($label)->size($size)->build();
        return response($result->getString(), 200)->contentType($result->getMimeType());
    }

}